/*css commit my    */
/* Card Default */



.card.card-default.card_first_titl{
  margin-top: 40px;
  margin-bottom: 30px;
}

.card-default .card-header {
  /* padding-top: 1.875rem;
  padding-bottom: 1rem; */
  display: flex;
  justify-content: space-between;
  background-color: transparent;
  border-bottom: none;
  flex-wrap: wrap;
  /* text-transform: capitalize; */
}
.card-default .card-header h2 {
  font-size: 1.375rem;
  color: #31343d;
}
.card-default .card-header h2::before {
  line-height: 1.375rem;
  margin-right: 0.5rem;
}
.card-default .card-header .btn.mdi {
  padding: 0.125rem 0.625rem;
  font-size: 0.75rem;
  line-height: 1.5;
  border-radius: 0.2rem;
  display: flex;
  align-items: center;
  border: 1px solid #9e6de0;
  color: #9e6de0;
}
.card-default .card-header .btn.mdi:hover {
  background-color: #9e6de0;
  color: #ffffff;
}
.card-default .card-header .flex-basis-100 {
  text-transform: none;
}
.card-default .horizontal-img {
  -o-object-fit: cover;
     object-fit: cover;
  height: 100%;
  width: 100%;
  max-width: 100%;
}

.card-default .sub-title {
  color: #31343d;
  flex-basis: 100%;
}
.card-default .card-header-bg {
  height: 200px;
  background-position: top;
  background-size: cover;
  background-repeat: no-repeat;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
}





.card {
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #ffffff;
  background-clip: border-box;
  border: 1px solid #e5e9f2;
  border-radius: 0.25rem;
}
.card > hr {
  margin-right: 0;
  margin-left: 0;
}
.card > .list-group {
  border-top: inherit;
  border-bottom: inherit;
}
.card > .list-group:first-child {
  border-top-width: 0;
  border-top-left-radius: calc(0.25rem - 1px);
  border-top-right-radius: calc(0.25rem - 1px);
}
.card > .list-group:last-child {
  border-bottom-width: 0;
  border-bottom-right-radius: calc(0.25rem - 1px);
  border-bottom-left-radius: calc(0.25rem - 1px);
}
.card > .card-header + .list-group,
.card > .list-group + .card-footer {
  border-top: 0;
}

.card-body {
  flex: 1 1 auto;
  min-height: 1px;
  /* padding: 1.875rem; */
}

.card-title {
  margin-bottom: 0.75rem;
}

.card-subtitle {
  margin-top: -0.375rem;
  margin-bottom: 0;
}

.card-text:last-child {
  margin-bottom: 0;
}

.card-link:hover {
  text-decoration: none;
}
.card-link + .card-link {
  margin-left: 1.875rem;
}

.card-header {
  /* padding: 0.75rem 1.875rem; */
  
  margin-bottom: 0;
  background-color: rgba(0, 0, 0, 0.03);
  border-bottom: 1px solid #e5e9f2;
}
.card-header:first-child {
  border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
}

.card-footer {
  padding: 0.75rem 1.875rem;
  background-color: rgba(0, 0, 0, 0.03);
  border-top: 1px solid #e5e9f2;
}
.card-footer:last-child {
  border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.card-header-tabs {
  margin-right: -0.9375rem;
  margin-bottom: -0.75rem;
  margin-left: -0.9375rem;
  border-bottom: 0;
}

.card-header-pills {
  margin-right: -0.9375rem;
  margin-left: -0.9375rem;
}

.card-img-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 1.25rem;
  border-radius: calc(0.25rem - 1px);
}

.card-img,
.card-img-top,
.card-img-bottom {
  flex-shrink: 0;
  width: 100%;
}

.card-img,
.card-img-top {
  border-top-left-radius: calc(0.25rem - 1px);
  border-top-right-radius: calc(0.25rem - 1px);
}

.card-img,
.card-img-bottom {
  border-bottom-right-radius: calc(0.25rem - 1px);
  border-bottom-left-radius: calc(0.25rem - 1px);
}

.card-deck .card {
  margin-bottom: 15px;
}
@media (min-width: 576px) {
  .card-deck {
    display: flex;
    flex-flow: row wrap;
    margin-right: -15px;
    margin-left: -15px;
  }
  .card-deck .card {
    flex: 1 0 0%;
    margin-right: 15px;
    margin-bottom: 0;
    margin-left: 15px;
  }
}

.card-group > .card {
  margin-bottom: 15px;
}
@media (min-width: 576px) {
  .card-group {
    display: flex;
    flex-flow: row wrap;
  }
  .card-group > .card {
    flex: 1 0 0%;
    margin-bottom: 0;
  }
  .card-group > .card + .card {
    margin-left: 0;
    border-left: 0;
  }
  .card-group > .card:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }
  .card-group > .card:not(:last-child) .card-img-top,
.card-group > .card:not(:last-child) .card-header {
    border-top-right-radius: 0;
  }
  .card-group > .card:not(:last-child) .card-img-bottom,
.card-group > .card:not(:last-child) .card-footer {
    border-bottom-right-radius: 0;
  }
  .card-group > .card:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
  .card-group > .card:not(:first-child) .card-img-top,
.card-group > .card:not(:first-child) .card-header {
    border-top-left-radius: 0;
  }
  .card-group > .card:not(:first-child) .card-img-bottom,
.card-group > .card:not(:first-child) .card-footer {
    border-bottom-left-radius: 0;
  }
}

.card-columns .card {
  margin-bottom: 0.75rem;
}
@media (min-width: 576px) {
  .card-columns {
    -moz-column-count: 3;
         column-count: 3;
    -moz-column-gap: 1.25rem;
         column-gap: 1.25rem;
    orphans: 1;
    widows: 1;
  }
  .card-columns .card {
    display: inline-block;
    width: 100%;
  }
}




/* Card Mini */

.card-mini .card-header h2 {
  font-size: 1.625rem;
}
@media (min-width: 576px) {
  .card-mini .chart-wrapper {
    position: absolute;
    top: 120px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    padding: 0px 30px;
  }
}
@media (min-width: 576px) {
  .card-mini .card-body {
    height: 62px;
  }
}
















/* 2. CARD addv */

.custom-gutter {
  margin-left: -10px;
  margin-right: -10px;
}

.row.custom-gutter {
  margin-left: 0;
  margin-right: 0;
}

.custom-col {
  padding-left: 10px;
  padding-right: 10px;
  margin-bottom: 0;
  height: 200px;
}

@media (max-width: 1450px) {
  .custom-col {
    height: 200px;
  }
}
@media (max-width: 1200px) {
  .custom-col {
    height: 200px;
  }
}

/* Екран до 992px */
@media (max-width: 992px) {
  .custom-col {
    height: 160px;
    margin-bottom: 50px;
  }
}

/* Екран до 768px */
@media (max-width: 768px) {
  .custom-col {
    height: 140px;
  }
}

/* Екран до 576px */
@media (max-width: 576px) {
  .custom-col {
    height: 120px;
  }
}







.cls_crd_st_cust_role.card {
  border-radius: 15px;
  border: 1px solid var(--site-ico-color2);
  cursor: default;

  display: flex;
  height: 200px;
  max-height: 200px;
  padding: 30px 30px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

/*.cls_crd_st_cust_role.card.cls_crd_st_cust_role_card1 {
  position: relative;
}*/


.cls_crd_st_cust_role.card-default .card-header {
  text-transform: none;
}


.cls_crd_st_cust_role.card .cls_crd_titl1_st{
  color:var(--site-txt-color0);
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
  margin-bottom: 15px;
}

.cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value {
  font-size: 40px;
  font-style: normal;
  font-weight: 600;
  line-height: 36px;
}
/*
.cls_el_h1_value {
  position: absolute;
  bottom: 30%;
}*/

@media (max-width: 1450px) {
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value{
    font-size:30px;
  }
  .cls_crd_st_cust_role.card{
    padding: 30px 35px;
  }
}
@media (max-width: 1342px) {
  .cls_crd_st_cust_role.card {
    height: 171px;
  }
  .cls_crd_st_cust_role.card-default .card-header{
    justify-content:center;
  }
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value{
    font-size:24px;
  }
}
@media (max-width: 1200px) {
  .cls_crd_st_cust_role.card {
    height: 171px;
    padding: 30px 35px;
  }
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value{
    font-size:20px;
  }
}
@media (max-width: 1120px) {
  .cls_crd_st_cust_role.card {
    height: 171px;
  }
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value{
    font-size:20px;
  }
  .cls_crd_st_cust_role.card .cls_crd_titl1_st{
    font-size: 16px;
    line-height: 16px;
    margin-bottom: 10px; 
  }
}
@media (max-width: 1007px) {
  .cls_crd_st_cust_role.card{
    padding: 20px 25px;
  }
}
@media (max-width: 907px) {
  .cls_crd_st_cust_role.card{
    padding: 20px 15px;
  }
}
@media (max-width: 827px) {
  .cls_crd_st_cust_role.card{
    padding: 10px 11px;
  }
}
@media (max-width: 827px) {
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.value{
    font-size:16px;
  }
  .cls_crd_st_cust_role.card .cls_crd_titl1_st{
    font-size: 14px;
    line-height: 14px;
    margin-bottom: 7px; 
  }
}


.cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.currency {
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 36px;
}

@media (max-width: 1450px) {
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.currency {
    font-size:15px;
  }
}
@media (max-width: 1200px) {
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.currency {
    font-size:15px;
  }
}
@media (max-width: 1120px) {
  .cls_crd_st_cust_role.card-default .card-header .sub-title h1 span.currency {
    font-size:10px;
  }
}



.cls_crd_st_cust_role.card-default .card-header .sub-title .badge{
  margin-top: 0.5rem;
  padding: 0.2em 0.3em;
  border-radius: 5px;
  font-weight: 400;
  font-size: 1.1em;
}

.cls_crd_st_cust_role.card-default .card-header .sub-title .badge .mdi {
  font-size: 1.3em;
}

.cls_crd_st_cust_role.card-default .card-header .sub-title .badge-success{
  background-color: var(--color_bg_bdg_green);
  color: var(--color_txt_bdg_green);
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
}

foreignObject .badge-success {
  background-color: var(--color_bg_bdg_green);
  color: var(--color_txt_bdg_green);
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 11px;
  font-style: normal;
  font-weight: 400;
  line-height: none;
}

.cls_crd_st_cust_role.card-default .card-header .sub-title .badge-danger{
  background-color: var(--color_bg_bdg_red);
  color: var(--color_txt_bdg_red);
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
}

foreignObject .badge-danger{
  background-color: var(--color_bg_bdg_red);
  color: var(--color_txt_bdg_red);
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 11px;
  font-style: normal;
  font-weight: 400;
  line-height: none;
}

.cls_crd_st_cust_role.card-default .card-header .sub-title .badge.cls_st_bdg_cust2{
  margin-top: 12px;
}










.card.card-default.cls_crd_st_cust_role2{
  border: none;
  
}

.card-default.cls_crd_st_cust_role2 .card-body{
  padding-top: 0;
  padding-bottom: 0;
  margin-top: 20px;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
}

.card-default.cls_crd_st_cust_role2 .card-body.cls_margt_0 {
  margin-top: 0px;
}

.card-default.cls_crd_st_cust_role2{
  margin-top: 0;
  
  margin-left: 0;
  margin-right: 0;
}

.card-default.cls_crd_st_cust_role2:not(.last_element_pg){
  margin-bottom: 50px;
}

.card-default.cls_crd_st_cust_role2.pg_diskont:not(.last_element_pg){
  margin-bottom: 5px;
}

.card-default.cls_crd_st_cust_role2.cls_m_b_29{
  margin-bottom: 29px;
}
.card-default.cls_crd_st_cust_role2.cls_m_b_18{
  margin-bottom: 18px;
}
.card-default.cls_crd_st_cust_role2.cls_m_b_m2{
  margin-bottom: -2px;
}

.card.card-default.cls_crd_st_cust_role2 .card-header h2.cls_st_h2_ttl{
  font-size: 24px;
  font-weight: 600;
  text-transform: none;
}
 
.card.card-default.cls_crd_st_cust_role2 .card-header .badge.badge-outline-primary{
  border-color: var(--site-ico-color2);
  color: var(--text-color-badge2);
  font-weight: 500;
  font-size: 1.1rem;
}



.cls_spn_badge_cust {
  display: inline-block; /* Щоб span поводився як блок для обмеження розмірів */
  vertical-align: middle;
  /* height: 80%; */
  min-width: 80px;
  /* width: 100px; */
  max-width: 150px;
}
.cls_spn_badge_cust img {
  /* min-width: 20px;
  width: 50px;
  max-width: 60px; */
  vertical-align: middle; /* Вирівнювання зображення по вертикалі */
}
.cls_spn_badge_cust img:hover {
  cursor: pointer;
}










/*.row.container_cls_my_custT3 {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.cls_card_t_cu {
  width: 276px;
  height: 171px;
  box-sizing: border-box;
  padding: 0;
}

.cls_crd_st_cust_role3.card {
  border-radius: 15px;
  border: 1px solid var(--site-ico-color2);
  cursor: default;

  width: 100%;
  height: 100%;
  margin: 0 auto;
  box-sizing: border-box;

  padding-left: 52px;
  padding-top: 36px;
  padding-bottom: 39px;
  padding-right: 50px;
}*/

.container_cls_my_custT3 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(276px, 1fr));
  gap: 20px;
  box-sizing: border-box;
  margin-bottom: 50px;
}

.cls_card_t_cu {
  box-sizing: border-box;
}

.cls_crd_st_cust_role3.card {
  width: 100%;
  height: 171px;
  background-color: #ffffff;
  box-sizing: border-box;

  border-radius: 15px;
  border: 1px solid var(--site-ico-color2);
  cursor: default;
  padding: 30px 30px;
  /*padding-left: 52px;
  padding-top: 36px;
  padding-bottom: 39px;
  padding-right: 50px;*/
}



.cls_crd_st_cust_role3.card h4.cls_crd_titl1_st {
  color:var(--site-txt-color0);
  text-align: center;
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
  width: 214px;
  justify-content: center;
  margin: 0 auto;
}

.cls_crd_st_cust_role3.card-default .card-header {
  text-transform: none;
  /* margin-bottom: 1.1rem; */
}

.cls_crd_st_cust_role3.card-default .card-header .sub-title {
  /* margin-top: 15px; */
  margin-bottom: 10px;
}

.cls_crd_st_cust_role3.card-default .card-header .sub-title h1 span.value {
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 30px;
  font-style: normal;
  font-weight: 600;
  line-height: 36px;
}

.cls_crd_st_cust_role3.card-default .card-header .sub-title h1 span.currency {
  font-feature-settings: 'ss01' on, 'cv01' on, 'cv11' on;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 36px;
}


@media (max-width: 1449px) {
  .cls_crd_st_cust_role3.card {
    height: 191px;
  }
}

@media (max-width: 1342px) {
  .cls_crd_st_cust_role3.card {
    height: 171px;
  }
  .cls_crd_st_cust_role3.card-default .card-header{
    justify-content:center;
  }
}
@media (max-width: 1061px) {
  .cls_crd_st_cust_role3.card {
    height: 191px;
  }
}
@media (max-width: 1048px) {
  .cls_crd_st_cust_role3.card {
    height: 171px;
  }
  .cls_crd_st_cust_role3.card-default .card-header{
    justify-content:center;
  }
}
@media (max-width: 1024px) {
  .container_cls_my_custT3 {
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); /* Зменшення ширини карток для малих екранів */
  }
  .cls_crd_st_cust_role3.card {
    height: 171px;
    padding-top: 10px;
  }
  .cls_crd_st_cust_role3.card-default .card-header .sub-title h1 span.value{
    font-size: 20px;
  }
}
@media (max-width: 920px) {
  .container_cls_my_custT3 {
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr)); /* Зменшення ширини карток для малих екранів */
  }
  .cls_crd_st_cust_role3.card {
    height: 151px;
    padding-top: 10px;
  }
  .cls_crd_st_cust_role3.card-default .card-header .sub-title h1 span.value{
    font-size: 30px;
  }
}









/*page diskont*/

.badge.cls_el_sp_bdg_percent.has-img img:hover {
  cursor: pointer;
}

.badge.cls_el_sp_bdg_percent.has-img {
  position: relative;
}

.badge.cls_el_sp_bdg_percent.has-img::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 1px;
  background-color: var(--color-clndr-btn-bg2);
  transition: all 0.3s ease-in-out;
  transform: translateX(-50%);
}

.badge.cls_el_sp_bdg_percent.has-img:hover::before {
  width: 100%;
}






